Bug 211941

Summary: Anaconda picks i586 kernel on some i686 systems
Product: [Fedora] Fedora Reporter: Kevin Kofler <kevin>
Component: anacondaAssignee: Paul Nasrat <pnasrat>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: andrea.tassi, a_titov82, bcrl, bnocera, bob, casper.gasper, chris.ricker, craig48, delaigue.cyril, duffy, e.mergl, erik-fedora, farrellj, fdiprete, fedora2, florin, gala_dragos, grahal, greg, hdegoede, herve.riboulot, jaboutbo, jantho, jason_mack, ken.tanzer, lapham, leon, lukasz, maurizio.antillon, milan.kerslager, moe, netllama, nphilipp, nutello, peterbache, philip.r.schaffner, piskozub, pknirsch, p.r.schaffner, rds204, redhat.com, rehan.khan, robatino, ron, rutger.noot, scott, shemminger, sonarguy, stefan.hoelldampf, tchung, tibbs, tjb, wcervini, zingale
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
URL: http://www.llaumgui.com/post/Fedora-Core-6-bonjour-et-a-bientot
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-21 11:44:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
/proc/cpuinfo of Dell Latitude D800
none
cpuinfo for Toshiba Satellite L25
none
cpuinfo for my (Kevin Kofler's) P4
none
/proc/cpuinfo and platform output
none
cpuinfo
none
cpuinfo, rpm info, and dmidecode output
none
Updated fc6 kernel fix script. none

Description Kevin Kofler 2006-10-23 21:24:09 EDT
Description of problem:
The FC6 version of Anaconda seems to pick the i586 kernel instead of the i686 
one it's supposed to on some P4 and Centrino systems. I had this happen to me 
with an install of Rawhide from the 21st (which is essentially FC6), Guillaume 
Kulakowski had this happen (see URL with description in French) on a Centrino 
with the official FC6 release.

Version-Release number of selected component (if applicable):
anaconda-11.1.1.3-1

How reproducible:
No idea.

Steps to Reproduce:
1. Install FC6 on an affected system and check the kernel architecture.
  
Actual results:
The kernel is an i586 kernel.

Expected results:
The kernel is an i686 kernel.

Additional info:
My (brutal) fix:
1. wget the i686 kernel
2. rpm -e kernel
3. rpm -ivh kernel-*.i686.rpm
I don't think rpm -e on the current kernel is that great an idea though. I 
risked it because I couldn't think of a better solution which doesn't screw up 
the RPM database and/or the file system in one way or the other.
Comment 1 Kevin Kofler 2006-10-23 21:32:02 EDT
(Note that this is a new computer with a fresh install, not the one where the 
Smart PM decided to pick an i586 kmod for some reason. That one was part of 
#192775.)
Comment 2 Paul Nasrat 2006-10-24 05:20:20 EDT
Please attach the output of cat /proc/cpuinfo and also if you do 

mv /etc/rpm/platform /etc/rpm/platform.bak; rpm --showrc | head; mv \
/etc/rpm/platform.bak /etc/rpm/platform


Comment 3 Nils Philippsen 2006-10-24 08:41:51 EDT
Same here on a Dell Latitude D800 (which has a Pentium M 1.6, see attached cpuinfo):

root@gibraltar:~> mv /etc/rpm/platform /etc/rpm/platform.bak; rpm --showrc |
head; mv \
> /etc/rpm/platform.bak /etc/rpm/platform
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: pentium3 i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : pentium3
install os            : Linux
compatible archs      : pentium3 i686 i586 i486 i386 noarch fat
compatible os's       : Linux

Comment 4 Nils Philippsen 2006-10-24 08:47:06 EDT
Created attachment 139222 [details]
/proc/cpuinfo of Dell Latitude D800
Comment 5 petrosyan 2006-10-24 12:41:28 EDT
Same thing happened on Toshiba Satellite L25, which has Celeron M.
# mv /etc/rpm/platform /etc/rpm/platform.bak; rpm --showrc | head; mv \
> /etc/rpm/platform.bak /etc/rpm/platform
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : i686
install os            : Linux
compatible archs      : i686 i586 i486 i386 noarch fat
compatible os's       : Linux
Comment 6 petrosyan 2006-10-24 12:42:16 EDT
Created attachment 139239 [details]
cpuinfo for Toshiba Satellite L25
Comment 7 Łukasz Trąbiński 2006-10-24 14:36:29 EDT
*** Bug 211790 has been marked as a duplicate of this bug. ***
Comment 8 Łukasz Trąbiński 2006-10-24 14:40:55 EDT
Please look at Bug 211790. I had the same problem on Toshiba Satellite 1410-614 


[lukasz@evil ~]$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Mobile Intel(R) Celeron(R) CPU 1.80GHz
stepping        : 7
cpu MHz         : 1794.275
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up cid
bogomips        : 3592.16

[root@evil ~]# uname -m
i686
Comment 9 Andre Robatino 2006-10-25 00:13:51 EDT
  Before I try "rpm -e kernel" as above, is there a safer way to replace the 586
with the 686 version?  Or is there going to be a kernel update soon (in which
case I could just boot into the new one first and then erase and replace the old
one)?
Comment 10 Chris Ricker 2006-10-25 01:57:24 EDT
Re: #c9

rpm -e --nodeps kernel and then rpm -ivh kernel.i686 will work to replace it

make sure you back up /boot/grub/grub.conf first as you may have to rebuild it
manually afterwards. grubby gets weird when your system gets down to zero
kernels ;-)
Comment 11 petrosyan 2006-10-25 02:01:21 EDT
I did run into the grubby bug too. Can someone paste the default
/boot/grub/grub.conf file here? Thanks.
Comment 12 Kevin Kofler 2006-10-25 02:18:08 EDT
For me, it said it won't do anything because there wouldn't be any kernel left, 
and then after installing the new one, the grub.conf was valid.
Comment 13 Andre Robatino 2006-10-25 02:20:12 EDT
  Any reason why

rpm -Fvh kernel-2.6.18-1.2798.fc6.i686.rpm

wouldn't work as well?  This bug isn't a big deal to me - the machine seems fast
enough, so I'll probably wait for a kernel update.  Another possibility might be
to install one of the earlier development kernels, boot into that, then replace
the release kernel.
Comment 14 Andre Robatino 2006-10-25 03:19:55 EDT
  Never mind - I tried the above command on kernel-devel first, and it doesn't
consider the 686 version to be newer than the 586 one.  However,

rpm -Uvh --replacepkgs kernel-devel-2.6.18-1.2798.fc6.i686.rpm

works.  The same command on the kernel gives

rpm -Uvh --replacepkgs kernel-2.6.18-1.2798.fc6.i686.rpm 
Preparing...                ########################################### [100%]
        file /boot/System.map-2.6.18-1.2798.fc6 from install of
kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6
        file /boot/config-2.6.18-1.2798.fc6 from install of
kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6
        file /boot/symvers-2.6.18-1.2798.fc6.gz from install of
kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6
        file /boot/vmlinuz-2.6.18-1.2798.fc6 from install of
kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6

The next logical thing to try would be

rpm -Uvh --replacefiles --replacepkgs kernel-2.6.18-1.2798.fc6.i686.rpm

but I don't have the nerve to try it right now.
Comment 15 Julian Sikorski 2006-10-25 08:25:54 EDT
I run into the same problem on P4 3.0E (Prescott, Socket 478)
Comment 16 Kevin Kofler 2006-10-25 08:41:22 EDT
Created attachment 139341 [details]
cpuinfo for my (Kevin Kofler's) P4

Here's my cpuinfo (attached) and the output from Paul Nasrat's line:
build arch	      : i386
compatible build archs: pentium4 pentium3 i686 i586 i486 i386 noarch fat
build os	      : Linux
compatible build os's : Linux
install arch	      : pentium4
install os	      : Linux
compatible archs      : pentium4 pentium3 i686 i586 i486 i386 noarch fat
compatible os's       : Linux

(The cpuinfo is without HT, but I had HT enabled when I did the install, just
in case this matters. So the cpuinfo during install had "siblings: 2" where it
now has "siblings: 1", I assume.)
Comment 17 Robert 'Bob' Jensen 2006-10-25 10:50:16 EDT
FC6 VMware guest (single CPU enabled) on FC5 Host

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 6
model name      : Intel(R) Pentium(R) D CPU 3.40GHz
stepping        : 8
cpu MHz         : 3399.516
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 6
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss lm constant_tsc up pni ds_cpl cx16
lahf_lm
bogomips        : 6828.41

$ uname -m => i686

kernel.i586 installed
Comment 18 Jason Tibbitts 2006-10-25 11:41:31 EDT
I note that this resembles the problem described in bug 186378, which has a
number of other bugs marked as duplicates of it.

The only way I was ever able to get an i686 kernel installed under FC5 was to
make a custom repository with no i586 kernels in it.  I tried it on many
machines of differing hardware.  But FC6test2 installed fine for me, so I
figured the bug was fixed.  I have not yet tried an FC6 install.
Comment 19 Name Witheld 2006-10-25 12:04:22 EDT
its not just intels that this is happening with.

[root@localhost yum.repos.d]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 6
model name      : AMD Athlon(tm) XP 2100+
stepping        : 2
cpu MHz         : 1726.068
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
mmx fxsr sse syscall mmxext 3dnowext 3dnow up ts
bogomips        : 3453.76

[root@localhost yum.repos.d]# uname -m
i686

[root@localhost yum.repos.d]# yum -d0 list kernel
Installed Packages
kernel.i586                              2.6.18-1.2798.fc6      installed       
Available Packages
kernel.i686                              2.6.18-1.2798.fc6      core
Comment 20 Ron Richards 2006-10-25 13:57:25 EDT
Happens on my Pentium 4 1.8GHz Dell Inspiron 8200

cpuinfo
--------
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 Mobile CPU 1.80GHz
stepping        : 4
cpu MHz         : 1200.000
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm up
bogomips        : 2395.50

rpm --showrc
----------------
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: pentium4 pentium3 i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : pentium4
install os            : Linux
compatible archs      : pentium4 pentium3 i686 i586 i486 i386 noarch fat
compatible os's       : Linux

Kevin Kofler, would you please elaborate on the steps you used to upgrade to the
i686 kernel for those of us not familiar with wget and rpm?  I would appreciate
a listing of the full syntax please.  Been reading doc and searching google but
I'm still not getting it right.  Thanks.

Comment 21 Kevin Kofler 2006-10-25 14:07:53 EDT
So far, all the affected systems we got cpuinfos of are CPU family 6 or 15.
Comment 22 Benjamin Kosnik 2006-10-25 14:18:38 EDT
This seems to work:

%rpm -Uvh --force ~bkoz/incoming/kernel-2.6.18-1.2798.fc6.i686.rpm 
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]

For the record, this was on an upgrade for:

%cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 13
model name      : Intel(R) Pentium(R) M processor 1.86GHz
stepping        : 8
cpu MHz         : 1862.289
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx up est tm2
bogomips        : 3728.26
Comment 23 Jason Farrell 2006-10-25 14:24:12 EDT
Created attachment 139375 [details]
/proc/cpuinfo and platform output
Comment 24 Jason Farrell 2006-10-25 14:26:24 EDT
I also ran into this problem on an AMD64 X2 3800+. It was causing strangeness
when attempting to install livna's nvidia drivers (arch i586 vs i686).

My fix was to swap out the i586 kernel for the i686 with yum, rather than rpm
directly, and it worked just fine:
1) yum remove kernel kernel-devel
2) yum install kernel.i686 kernel-devel.i686
3) yum install (the list of a dozen odd i386 kernel depencies removed in step
#1, such as "gnome-volume-manager" and "compiz")
Comment 25 Kevin Kofler 2006-10-25 14:27:30 EDT
Again, 6 and 15. Is this because they use no other values for CPU family or is 
there a correlation between CPU family and this bug?
Comment 26 Rudi Chiarito 2006-10-25 15:38:26 EDT
I got the same on a Core Duo laptop, here's the cpu information:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2400  @ 1.83GHz
stepping        : 8
cpu MHz         : 1000.000
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr
bogomips        : 3665.68

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2400  @ 1.83GHz
stepping        : 8
cpu MHz         : 1000.000
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr
bogomips        : 3661.87
Comment 27 Ron Richards 2006-10-25 17:35:25 EDT
Confirmed that Jason's workaround in comment #24 above works well. Rebooted with
no problems, now using i686 kernel.  Have been able to load i686 nVidia kmods
from livna with no problems. Thanks Jason!
Comment 28 Igor Jagec 2006-10-25 19:08:18 EDT
Created attachment 139421 [details]
cpuinfo
Comment 29 Andre Robatino 2006-10-25 20:06:09 EDT
  I successfully used

rpm -Uvh --replacefiles --replacepkgs kernel-2.6.18-1.2798.fc6.i686.rpm

to replace the kernel.  The rpm man page says that --force is equivalent to all
of --replacepkgs, --replacefiles, and --oldpackage, and since this isn't an
older package, it should be equivalent to --force.  My grub.conf for a dual-boot
box was bytewise identical before and after, though the modification time was
updated.  BTW, my CPU family is 15.  Is there anyone with CPU family 6 or 15 who
did NOT have this happen?  And are the vast majority of CPUs in one of these two
families?
Comment 30 Nils Philippsen 2006-10-26 04:36:42 EDT
I just noticed that my home system has an i586 kernel as well:

root@wombat:~> cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 4
model name      : AMD Athlon(tm) processor
stepping        : 4
cpu MHz         : 1400.132
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
mmx fxsr syscall mmxext 3dnowext 3dnow up
bogomips        : 2803.04

root@wombat:~> mv /etc/rpm/platform /etc/rpm/platform.bak; rpm --showrc | head; mv \
> /etc/rpm/platform.bak /etc/rpm/platform
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: athlon i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : athlon
install os            : Linux
compatible archs      : athlon i686 i586 i486 i386 noarch fat
compatible os's       : Linux
Comment 31 Peter Fales 2006-10-26 09:27:01 EDT
Same thing on a vmware-workstation guest running on a Linux host.  The host is a
Dell Optiplex GX300.   FC6 is installed via "kickstart" using a ks.cfg file
nearly identical to the one I used with FC5 (and which correctly installed the
i686 kernel) The /proc/cpuinfo seen by the guest is:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 8
cpu MHz         : 794.674
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse up
bogomips        : 1606.53


Comment 32 Chris Tartamella 2006-10-26 10:12:49 EDT
Ditto, ditto, and ditto.  Only mine happens on an Apple Macbook Pro (Intel Core
Duo processor).

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2600  @ 2.16GHz
stepping        : 8
cpu MHz         : 2306.463
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr
bogomips        : 4333.25

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2600  @ 2.16GHz
stepping        : 8
cpu MHz         : 2306.463
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr
bogomips        : 4330.92
Comment 33 Kevin Kofler 2006-10-26 16:32:05 EDT
Can someone please add this to http://fedoraproject.org/wiki/Bugs/FC6Common ? 
Judging by the number of comments, it seems to be a pretty common issue.
Comment 34 Austin Jackson 2006-10-26 18:21:10 EDT
Confirmed on a Dell Latitude X1

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 13
model name      : Intel(R) Pentium(R) M processor 1.10GHz
stepping        : 6
cpu MHz         : 1097.377
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss tm pbe up est tm2
bogomips        : 2197.37
Comment 35 Kevin Kofler 2006-10-26 22:54:15 EDT
WARNING: Back up your /boot/grub/grub.conf before removing your only kernel, 
especially if you have a non-Fedora OS listed there too. Normally, grubby 
refuses to remove the only kernel entry, but if you have other OSes, it will 
remove it, and then it won't find a template to base the new entry on when you 
reinstall the kernel.
Comment 36 Andre Robatino 2006-10-26 23:06:35 EDT
  When I reinstalled using --replacefiles --replacepkgs (equivalent to --force
here), as opposed to removing and then installing, it preserved the changes I
had made (removing rhgb and quiet), and also the fact that it was set to
dual-boot with XP.  So this route appears safer than the 2-step process, though
one should certainly back up grub.conf anyway, and then immediately check it
afterwards, before rebooting.
Comment 37 Leonid Kanter 2006-10-27 06:25:36 EDT
*** Bug 212406 has been marked as a duplicate of this bug. ***
Comment 38 JLapham 2006-10-27 07:47:35 EDT
Oddly, the i686 kernel-headers get installed.  Hmmm.

[root@bilbo ~]# rpm -q kernel-devel kernel
kernel-devel-2.6.18-1.2798.fc6.i686
kernel-2.6.18-1.2798.fc6.i586

[root@bilbo RPMS]# cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 28
model name      : AMD Sempron(tm) Processor 3100+
stepping        : 0
cpu MHz         : 1809.265
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt 3dnowext 3dnow up
lahf_lm ts fid vid ttp
bogomips        : 3620.87
Comment 39 Julian Sikorski 2006-10-27 11:36:59 EDT
I did not post that before, but here is my cat /proc/cpuinfo output (I use HT,
so there are 2 cpus):
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 3
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 4
cpu MHz         : 3014.700
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc pni monitor
ds_cpl cid xtpr
bogomips        : 6033.62

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 3
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 4
cpu MHz         : 3014.700
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc pni monitor
ds_cpl cid xtpr
bogomips        : 6029.49

Also, I worked around the bug as suggested in comment #29.
Comment 40 Jonathan Berling 2006-10-27 13:18:06 EDT
The steps in comment #24 also worked for me (thanks Jason Farrell). Here they
are again:

1) yum remove kernel kernel-devel
2) yum install kernel.i686 kernel-devel.i686
3) yum install compiz gnome-volume-manager systemtap gnome-session pcmciautils

(NOTE: your step 3 might be different, see post #24 for more info)

Here's my cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm) XP 2600+
stepping        : 0
cpu MHz         : 1921.029
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up ts
bogomips        : 3845.11
Comment 41 Rahul Sundaram 2006-10-27 19:27:42 EDT
(In reply to comment #33)
> Can someone please add this to http://fedoraproject.org/wiki/Bugs/FC6Common ? 
> Judging by the number of comments, it seems to be a pretty common issue.

I have done so. 
Comment 42 Dave Jones 2006-10-28 02:02:02 EDT
*** Bug 212091 has been marked as a duplicate of this bug. ***
Comment 43 zingale 2006-10-28 15:25:23 EDT
Strangely, FC6 installed the 586 kernel package but the 686 kernel-PAE package
on my machine.

Comment 44 Kevin Kofler 2006-10-28 15:30:44 EDT
There is no i586 or i386 kernel-PAE, so it can't pick the wrong one there.

What is interesting is that it correctly picks the i686 glibc and openssl (at 
least it did for me), but the wrong kernel.
Comment 45 Frank Schmitt 2006-10-28 19:27:14 EDT
I did run in the same problem, this resulted in an error when the cpufreq module
was loaded, so frequency scaling was broken.

 [~]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 9
model name      : Intel(R) Pentium(R) M processor 1300MHz
stepping        : 5
cpu MHz         : 600.000
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr mce cx8 mtrr pge mca cmov pat clflush
dts acpi mmx fxsr sse sse2 tm pbe up est tm2
bogomips        : 1199.90

This is a Thinkpad R40 2722-3GG
Comment 46 Giorgi 2006-10-29 00:36:45 EDT
Installed Packages
kernel.i686                              2.6.18-1.2798.fc6      installed
kernel-devel.i686                        2.6.18-1.2798.fc6      installed

my kernel is all-right but acpi-cpufreq still fails to load.

I notice my /etc/cpuspeed is missing driver

I tried adding speedstep-centrino driver line, but also need to get this driver
in /sys/devices/system/cpu/cpu0/cpufreq/scaling_driver, else getting

[root@gesho etc]# service cpuspeed restart
cat: /sys/devices/system/cpu/cpu0/cpufreq/scaling_driver: No such file or directory
FATAL: Module speedstep_centrino not found.


/etc/cpuspeed.conf
VMAJOR=1
VMINOR=1

# uncomment this and set to the name of your CPUFreq module
#DRIVER="powernow-k7"


# Let background (nice) processes speed up the cpu
OPTS="$OPTS -n"

# Add your favorite options here
#OPTS="$OPTS -s 0 -i 10 -r"

# uncomment and modify this to check the state of the AC adapter
#OPTS="$OPTS -a /proc/acpi/ac_adapter/*/state"

# uncomment and modify this to check the system temperature
#OPTS="$OPTS -t /proc/acpi/thermal_zone/*/temperature 75"
Comment 47 Giorgi 2006-10-29 00:49:21 EDT
dunno if this helps
http://www.mail-archive.com/linux-acpi@vger.kernel.org/msg03458.html
Comment 48 Mark Bickford 2006-10-29 01:30:38 EST
Here is another, older machine example of the same issue:
$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 6
cpu MHz         : 996.811
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
mmx fxsr sse up
bogomips        : 1995.21
Comment 49 Stefan Hoelldampf 2006-10-29 07:00:32 EST
Same here on a 5 years old Toshiba Satellite 3000-100 notebook:

[root@notebook ~]# cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 10
cpu MHz         : 847.452
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
mmx fxsr sse up
bogomips        : 1696.40

[root@notebook ~]# mv /etc/rpm/platform /etc/rpm/platform.bak; rpm --showrc |
head; mv /etc/rpm/platform.bak /etc/rpm/platform
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: pentium3 i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : pentium3
install os            : Linux
compatible archs      : pentium3 i686 i586 i486 i386 noarch fat
compatible os's       : Linux
Comment 50 Florin Andrei 2006-10-29 14:21:06 EST
# rpm -qa --queryformat "%{NAME}-%{VERSION}-%{ARCH}\n" | grep kernel
kernel-devel-2.6.18-i586
kernel-headers-2.6.18-i386
kernel-2.6.18-i586
# cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm) XP 2000+
stepping        : 0
cpu MHz         : 1533.489
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up ts
bogomips        : 3068.72
Comment 51 Florin Andrei 2006-10-29 14:43:49 EST
What worked for me:

rpm -ev kernel-devel #just to keep things simple
# backup /boot/grub/grub.conf
# download the correct kernel and kernel-devel
rpm -Uvh --force kernel-2.6.18-1.2798.fc6.i686.rpm
# restore grub.conf if necessary - wasn't for me
reboot
rpm -ivh kernel-devel-2.6.18-1.2798.fc6.i686.rpm
Comment 52 Scott Glaser 2006-10-29 22:45:24 EST
[sglaser@compaqlaptop ~]$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 4
model name      : AMD Athlon(tm) 64 Processor 3000+
stepping        : 8
cpu MHz         : 800.000
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 syscall nx mmxext lm 3dnowext 3dnow up ts fid
vid ttp
bogomips        : 1597.26

ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: athlon i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : athlon
install os            : Linux
compatible archs      : athlon i686 i586 i486 i386 noarch fat
compatible os's       : Linux
Comment 53 rao 2006-10-29 23:19:53 EST
#29 tip works good.
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 4
model name      : AMD Athlon(tm) 64 Processor 3700+
stepping        : 10
cpu MHz         : 800.000
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 syscall nx mmxext lm 3dnowext 3dnow up ts fid
vid ttp
bogomips        : 1597.26
Comment 54 Paul Lipps 2006-10-30 15:51:32 EST
Wrong kernel installed here, family 15.

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping        : 9
cpu MHz         : 3207.394
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 6419.36
Comment 55 Mykola Ulianytskyi 2006-10-31 04:44:05 EST
Same problem on ASUS A6K-Q034

[lystor@lystor SPECS]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 44
model name      : Mobile AMD Sempron(tm) Processor 3100+
stepping        : 2
cpu MHz         : 800.000
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt 3dnowext 3dnow up pni
lahf_lm ts fid vid ttp tm stc
bogomips        : 1600.97
Comment 56 Jussi Torhonen 2006-10-31 06:06:55 EST
AMD Duron 1300 CPU and the same problem here. The following taken after rebooted
with kernel.i686:

ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: athlon i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : athlon
install os            : Linux
compatible archs      : athlon i686 i586 i486 i386 noarch fat
compatible os's       : Linux

# cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 7
model name      : AMD Duron(tm)
stepping        : 1
cpu MHz         : 1295.673
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
mmx fxsr sse syscall mp mmxext 3dnowext 3dnow up ts
bogomips        : 2593.84
Comment 57 Dominik 'Rathann' Mierzejewski 2006-11-01 16:07:20 EST
*** Bug 213413 has been marked as a duplicate of this bug. ***
Comment 58 Jeff Moe (jebba) 2006-11-01 23:00:28 EST
Thinkpad T42, got i586 not i686.

ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : i686
install os            : Linux
compatible archs      : i686 i586 i486 i386 noarch fat
compatible os's       : Linux

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 13
model name      : Intel(R) Pentium(R) M processor 1.80GHz
stepping        : 6
cpu MHz         : 599.504
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr mce cx8 mtrr pge mca cmov pat clflush
dts acpi mmx fxsr sse sse2 ss tm pbe up est tm2
bogomips        : 1200.24
Comment 59 Bob Arendt 2006-11-03 12:43:14 EST
Created attachment 140294 [details]
cpuinfo, rpm info, and dmidecode output

The attached output is taken after upgrading to the i686 kernel.

BTW - would it be more informative if this info came from booting the first CD
in rescue mode and grabbing some output?  Then the actual anaconda run-time
kernel and software envirnoment would be active.
Comment 60 Phil Knirsch 2006-11-07 09:50:30 EST
*** Bug 211768 has been marked as a duplicate of this bug. ***
Comment 61 Andrew Nielsen 2006-11-08 13:57:20 EST
i686 installed instead of i586.

/proc/cpuinfo

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 1
model name      : Intel(R) Pentium(R) 4 CPU 1.60GHz
stepping        : 2
cpu MHz         : 1616.030
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm up
bogomips        : 3235.40


ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: pentium4 pentium3 i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : pentium4
install os            : Linux
compatible archs      : pentium4 pentium3 i686 i586 i486 i386 noarch fat
compatible os's       : Linux
Comment 62 James Bridge 2006-11-08 17:43:43 EST
One more for the pot! Processor details below. I have got it sorted following
the suggestion in comment #51 (thanks!), tho there were some loose ends, notably
that on rebooting, the X server wouldn't start. Followed the instructions on
screen to reconfigure. But it might be a good idea to disable the nvidia driver
first, before rebooting. Also needed to reset the default language and keyboard.

[root@dads james]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Celeron(R) CPU 2.66GHz
stepping        : 9
cpu MHz         : 2660.986
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe lm constant_tsc up pni
monitor ds_cpl tm2 cid cx16 xtpr
bogomips        : 5326.02
Comment 63 Valent Turkovic 2006-11-09 07:19:02 EST
I found a solution, you need to start Fedora Core 6 install with this command:

linux i686

this instructs installer to use i686 kernel.
Comment 64 Nicolai Waniek 2006-11-12 06:22:43 EST
The same problem on a HP compaq nx7010. The installed kernel was the correct one
(i686), but the kernel-devel package was the one for i586.

cpuinfo:

[root@s71-samhein ~]# cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 13
model name      : Intel(R) Pentium(R) M processor 1.70GHz
stepping        : 6
cpu MHz         : 1694.562
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr mce cx8 mtrr pge mca cmov pat clflush
dts acpi mmx fxsr sse sse2 ss tm pbe up est tm2
bogomips        : 3391.38
Comment 65 Nuno Tavares 2006-11-13 01:06:26 EST
Idem on HP Compaq nx7400

[root@localhost Desktop]# cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2300  @ 1.66GHz
stepping        : 8
cpu MHz         : 1662.721
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor est
tm2 xtpr
bogomips        : 3327.52

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2300  @ 1.66GHz
stepping        : 8
cpu MHz         : 1662.721
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor est
tm2 xtpr
bogomips        : 3324.57
Comment 66 Erik van Pienbroek 2006-11-14 07:18:03 EST
I am maintaining Linux on several computers within a school.
To install FC6 I've used a kickstart script so that FC6 can
be installed without user-intervention. I'm also experiencing
this bug on some computers. The strange thing is that all
computers are the same (they're all HP Compaq's with a P4 2.8Ghz proc;
don't know the product number out of my head) and this issue shows up
randomly on some computers. After restarting the kickstart installation, the
problem sometimes gets solved, sometimes it needs another re-installation.
Comment 67 Mariusz Trocewicz 2006-11-14 12:00:20 EST
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: pentium3 i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : pentium3
install os            : Linux
compatible archs      : pentium3 i686 i586 i486 i386 noarch fat
compatible os's       : Linux

CPUINFO:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 7
model name      : Pentium III (Katmai)
stepping        : 3
cpu MHz         : 600.519
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
mmx fxsr sse up
bogomips        : 1202.13
Comment 68 delaigue cyril 2006-11-16 10:39:15 EST
*** Bug 215813 has been marked as a duplicate of this bug. ***
Comment 69 Neil Turner 2006-11-20 01:48:23 EST
I've hit this on three machines now; IBM ThinkStation dual-P4, ThinkPad X31 P4
1.6, and a homebrew P4 2.8, all upgrades from FC5.  In my case the solution has
been to boot the rescue CD, or the DVD, or binary CD #1 in rescue mode, then

 # chroot
 # rpm -e kernel
 # rpm -i kernel-*.i686.rpm (from the install RPMS on the CD)

This involves removing a few other packages (gnome-session, pcmciautil, etc.)
for dependencies, but you can get either get them back from the install RPMS
with the kernel, or with yum, if you don't mind doing it in text mode.

I think this is bad enough to justify a re-issue of the CD/DVD images.  Anyone
like the poster above who has to do a mass upgrade with kickstart must be
cursing Fedora right now.
Comment 70 Jacek Piskozub 2006-11-20 02:14:49 EST
First, you should have done a --nodeps kernel uninstall.

Second, according to this page http://fedoraproject.org/wiki/Bugs/FC6Common the
best way to go is to inatall yumdownloader and then do the following:
  yumdownloader kernel-2.6.18-1.2849.fc6.i686
  su -c "rpm -Uvh --replacefiles --replacepkgs kernel-2.6.18-1.2849.fc6.i686.rpm"
In the above I've updated the kernel version number to the latest one. You may
need to do the same (twice!) if you follow the procedure after the next version
comes out.
Comment 71 Hans de Goede 2006-11-24 05:09:46 EST
I'm seeing this too, rpm --showrc | head (without /etc/rpm/platform):
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: pentium4 pentium3 i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : pentium4
install os            : Linux
compatible archs      : pentium4 pentium3 i686 i586 i486 i386 noarch fat
compatible os's       : Linux

/proc/cpuinfo:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.66GHz
stepping        : 9
cpu MHz         : 2660.442
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up cid xtpr
bogomips        : 5326.22

This is on a Fujitsu Siemens Scenic N desktop pc, with a D1562 baseboard
aka a YBER082530 model.
Comment 72 Paul Nasrat 2006-11-24 05:43:20 EST
If people experiencing this have an opportunity to reinstall could you try with
the following updates.img

http://people.redhat.com/pnasrat/211941-updates.img

Instructions here:

http://fedoraproject.org/wiki/Anaconda/Updates
Comment 73 Erik van Pienbroek 2006-11-24 09:59:46 EST
I can report success with the update from #72
I have tried it on 7 machines with all the same specs and the same
kickstart file and the right kernel was installed on all of them.

Great job!
Comment 74 Hans de Goede 2006-11-24 10:57:00 EST
I tried this on one of the machines of the type which was causing trouble here
and I too can confirm that this update fixes this.

One other remark though, I did a ftp install with:
"linux updates=http://people.redhat.com/pnasrat/211941-updates.img" and after
downloading stage 2 through ftp it reasked me which interface to use and
automaticly did dhcp again for that interface to download the updates image. I
think this might be unwanted let me know if you want me to file a bug for this.

BTW being able to specify an URL for updates= is great!
Comment 75 Stephen Hemminger 2006-11-24 19:26:05 EST
*** Bug 217182 has been marked as a duplicate of this bug. ***
Comment 76 Dave Jones 2006-11-24 22:41:48 EST
*** Bug 212857 has been marked as a duplicate of this bug. ***
Comment 77 Andrea Tassi 2006-12-01 07:21:27 EST
(In reply to comment #73)
> I can report success with the update from #72
> I have tried it on 7 machines with all the same specs and the same
> kickstart file and the right kernel was installed on all of them.
> 
> Great job!


I's wonderful!!! But shoud be better an update of the FC6 ISO release. In this
period I'm organizing a group of meeting on linux and hacking wireless and I'm
suggesting to choose FC6 (instead of Ubuntu...) but the problem of i586 kernel
can be too big for a neophyte (like write the new Anaconda img on a floppy or
pendrive by Windows).

Bye
Andrea Tassi
Comment 78 Andrea Tassi 2006-12-01 07:23:49 EST
(In reply to comment #73)
> I can report success with the update from #72
> I have tried it on 7 machines with all the same specs and the same
> kickstart file and the right kernel was installed on all of them.
> 
> Great job!


I's wonderful!!! But shoud be better an update of the FC6 ISO release. In this
period I'm organizing a group of meeting on linux and hacking wireless and I'm
suggesting to choose FC6 (instead of Ubuntu...) but the problem of i586 kernel
can be too big for a neophyte (like write the new Anaconda img on a floppy or
pendrive by Windows).

Bye
Andrea Tassi
Comment 79 Andrew Benham 2006-12-01 10:11:46 EST
Updated a Compaq Evo Pentium 4 machine from FC5 to FC6.
This gave me an i586 kernel with the matching i686 kernel-devel.

A virgin install on a Fujitsu Lifebook has done the same.


This gives real headaches when attempting to build additional kernel modules.

Whatever is choosing the architecture isn't being consistent.
Comment 80 kentphilip 2006-12-05 15:21:18 EST
I have an update on this issue:

I have reinstalled FC6 on the same machine about 4 times, half of those times 
it chose the wrong kernel. No changes to the hardware were performed. All 
reinstalls were performed within a week.

Currently, I have a proper kernel. I never used the updates disk.

Sadly, this makes this issue have no common pattern :(
Comment 81 Jason Mack 2006-12-06 13:49:43 EST
(In reply to comment #29)
>   I successfully used
> 
> rpm -Uvh --replacefiles --replacepkgs kernel-2.6.18-1.2798.fc6.i686.rpm
> 
> to replace the kernel.  The rpm man page says that --force is equivalent to all
> of --replacepkgs, --replacefiles, and --oldpackage, and since this isn't an
> older package, it should be equivalent to --force.

I've confirmation from a tester that the above rpm command works.

I also note that the same command is documented at
http://fedoraproject.org/wiki/Bugs/FC6Common

While annoying (hard to walk through on phone or IRC) I hope to see a patch to
Anaconda soon.  I have not experienced this bug on Servers running RHEL5 Beta2,
which is a fork of FC6.  Then again, I'm using the x86_64 arch.  Hmm.
Comment 82 Andrea Tassi 2006-12-08 04:11:06 EST
(In reply to comment #63)
> I found a solution, you need to start Fedora Core 6 install with this command:
> 
> linux i686
> 
> this instructs installer to use i686 kernel.

I can confirm that booting with "linux i686" the FC6 install DVD (in a Intel
Centrino) without using the updated Anaconda img the problem of i586 kernel remains.

Andrea Tassi
Comment 83 ross tyler 2006-12-11 22:45:10 EST
I was having this problem (i586 kernel being installed).
I was also having the cpuspeed problem.
Booting from DVD with

    linux i686

fixed the i586 kernel problem but did _not_ fix the cpuspeed problem.

I modified the original FC-6-i386-DVD.iso to add an images/updates.img (from the
downloaded 211941-updates.img mentioned above):

    growisofs -M FC-6-i386-DVD.iso -R -graft-points\
        images/updates.img=211941-updates.img

Of course, the resultant ISO image has a different checksum.
checking this at boot time fails with this error message:

Unable to read disk checksum from the primary file descriptor.
This probably means the disk was created without adding a checksum.

Anyone know how to "add a checksum"?

Anyway, I verfied the sha1sum on the original download and the sha1sum's of the
modified image and the burnt DVD compared well.
Using the growisofs command to add the update seems to be the least invasive way
of doing this so I feel comfortable that the resultant image is good.

I installed from the modified DVD and it also fixed the i586 kernel problem but
did _not_ fix the cpuspeed problem.

To fix the cpuspeed problem, I changed /etc/cpuspeed.conf to specify the
following for DRIVER:

    DRIVER=p4-clockmod

and restarted cpuspeed

    /etc/rc.d/init.d/cpuspeed restart

No errors! No errors on reboot either!

Does this make sense?
Comment 84 Edwin Ramirez 2006-12-12 03:19:31 EST
Precedure in Comment #24 worked beautifully for me as well.

I was able to succesfully re-install all removed dependecies and my nvidia
drivers from the livna repo as well without problems.

I did lose the FC6 kernel entry from my /boot/grub/grub.conf, so reboot failed.
 I then booted using the FC6 resuce CD and restore my grub.conf from a backup
that I had previously made.

Jason's fix corrected my i686 header problem which then allowed me to compile my
VMWare Workstation 5.5.3 vmmon module succesfully.

Thank you Jason!
Comment 85 ross tyler 2006-12-12 12:34:25 EST
(In reply to comment #83)
>
> Of course, the resultant ISO image has a different checksum.
> checking this at boot time fails with this error message:
> 
> Unable to read disk checksum from the primary file descriptor.
> This probably means the disk was created without adding a checksum.
> 
> Anyone know how to "add a checksum"?

Haven't tried it yet but this should work:

    (cd $RPMS; rpm -i --nodeps anaconda-runtime*)
    /usr/lib/anaconda-runtime/implantisomd5 --help
    /usr/lib/anaconda-runtime/implantisomd5 $ISO

where $RPMS is the directory where this Fedora Core package is and $ISO is the
name of the ISO image to implant the (md5) checksum in.
Comment 86 Alexey Titov 2006-12-24 10:05:23 EST
I have the same problem with CPU frequency. I updated kernel from i586 to i686
as it was recommended. But it did not help. The actual problem is that CPU
frequency driver
(/lib/modules/2.6.18-1.2868.fc6/kernel/arch/i386/kernel/cpu/cpufreq/acpi-cpufreq.ko)
is not loaded. When I load driver manually (/sbin/insmod) everything getting ok.
But how can cause to load the driver automatically even after kernel (and path
to  the module) update?
Comment 87 Alexey Titov 2007-01-04 04:00:23 EST
So is there any way to cause acpi-cpufreq.ko to load automatically?
Comment 88 Jason Mack 2007-01-04 12:25:53 EST
Alexy,

This is a general RH issue, and the most frequent solution I use is 1) make sure
there is a reference in modprobe.conf if appropriate, 2)  make sure the module
is loaded, 3)  force the initrd to be remade, using mkinitrd or similar tool.

Ultimately, you can always resort to the rc.local file to get stuff loaded at boot.
Comment 89 gala_dragos 2007-01-08 12:21:18 EST
*** Bug 221849 has been marked as a duplicate of this bug. ***
Comment 90 Bill C. Riemers 2007-01-16 17:50:47 EST
The "linux i686" option does not appear to work in upgrade mode.  It leaves the
i586 kernel.  It might work on a fresh install...

(In reply to comment #63)
> I found a solution, you need to start Fedora Core 6 install with this command:
> 
> linux i686
> 
> this instructs installer to use i686 kernel.
Comment 91 Jarod Wilson 2007-01-19 10:25:57 EST
*** Bug 223413 has been marked as a duplicate of this bug. ***
Comment 92 Thomas Chung 2007-01-19 14:09:48 EST
Consider using Kernel Fix Script (kernel-fix.sh) which is available on FC6
Common Bugs and Issuse wiki page[1] if your system already have i586 kernel.  

This script has been tested on a fresh new install with help with RahulSundaram.

[1] http://fedoraproject.org/wiki/Bugs/FC6Common
Comment 93 Joachim Frieben 2007-01-20 12:09:10 EST
This still happens for a fresh install from "FC devel" with the latest
"2.6.19" kernel based "rescue" image as of 2006-01-20. The affected
system is an "IBM ThinkPad T23". The issue becomes apparent after the
first start-up of the new system, because "CPU Frequency Scaling
Monitor" claims that frequency scaling is not supported on this system.
The content of "cpuinfo" after installing the "i686" kernel reads:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 11
model name      : Mobile Intel(R) Pentium(R) III CPU - M  1200MHz
stepping        : 4
cpu MHz         : 798.000
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
 mmx fxsr sse up
bogomips        : 1599.72
clflush size    : 32
Comment 94 Matt Wette 2007-01-22 10:11:08 EST
I was trying to help one user with this problem.
He reported that "linux i686" did not work but "linux kernel=i686" did work.

http://forums.fedoraforum.org/forum/showthread.php?t=144887
Comment 95 Matěj Cepl 2007-01-23 12:00:00 EST
*** Bug 223802 has been marked as a duplicate of this bug. ***
Comment 96 David Cantrell 2007-01-29 11:12:31 EST
*** Bug 224531 has been marked as a duplicate of this bug. ***
Comment 97 Dave Jones 2007-02-14 19:17:01 EST
*** Bug 220995 has been marked as a duplicate of this bug. ***
Comment 98 Frank DiPrete 2007-03-04 15:06:31 EST
same problem here but can't install i686 kernel

# arch
i686

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm)
stepping        : 0
cpu MHz         : 1100.138
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow ts
bogomips        : 2201.87

removed the i586 kernel and tried to install the latest i686 kernel:
 rpm -i kernel-2.6.19-1.2288.2.1.fc5.i686.rpm
        package kernel-2.6.19-1.2288.2.1.fc5 is intended for a i686 architecture
Comment 99 Frank DiPrete 2007-03-04 15:09:12 EST
same problem here but can't install i686 kernel

# arch
i686

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm)
stepping        : 0
cpu MHz         : 1100.138
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow ts
bogomips        : 2201.87

removed the i586 kernel and tried to install the latest i686 kernel:
 rpm -i kernel-2.6.19-1.2288.2.1.fc5.i686.rpm
        package kernel-2.6.19-1.2288.2.1.fc5 is intended for a i686 architecture
Comment 100 Peter Bache 2007-03-19 16:47:15 EDT
Same issue but on AMD`s 
ARCHITECTURE AND OS:
build arch            : i386
compatible build archs: athlon i686 i586 i486 i386 noarch fat
build os              : Linux
compatible build os's : Linux
install arch          : athlon
install os            : Linux
compatible archs      : athlon i686 i586 i486 i386 noarch fat
compatible os's       : Linux

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm) XP 2500+
stepping        : 0
cpu MHz         : 1826.176
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up ts
bogomips        : 3654.12
clflush size    : 32

will there be a update for this in time ?
Comment 101 Rehan Khan 2007-03-20 01:19:46 EDT
Created attachment 150461 [details]
Updated fc6 kernel fix script.
Comment 102 Rehan Khan 2007-03-20 01:40:05 EDT
Sorry first time with bugzilla. The above attachment is explained in this post.

If one has already updated the kernel using the normal yum process then you 
may have two kernels installed on your system (Yum keeps two version so you 
can rollback if things break). This will break the script on the common issues 
page as the rpm queries return i586i586 instead of i586. ORing the i586 with a 
i586i586 takes care of this scenario.

Also if one has extra RPM's of kernel drivers installed (Digium Zaptel 1.2 for 
Asterisk 1.2 ) then these will of course not work as post install, yum seems 
to work fine even if you have a i586 kernel so you get i686 hardware drivers 
installed. Also to untangle one self from wierd RPM conflict issues, now that 
the upgrades repo is filling up, it is sometimes beneficial to not upgrade the 
kernel but just move the existing kernel to i686.

The above script will work on any kernel as it matches on the installed kernel 
version strings not the latest one in the repos and just sideways-grades 
(hmmm... don't think that will catch on but you get my meaning) to i686. Once 
you have rebooted you can yum update as normal and get the latest kernel. I 
have also included the fix for when you have two kernels installed as well.

The attached script could probably do with some sanity checking and cleanup 
but I think it should probably replace the one on the common issues page in 
some form or other as it should work in more (most?) situations.

In a related issue the install directive 'linux i686' does indeed not work as 
stated in an earlier message. It might be an idea to update the common issues 
page with 'linux kernel=i686'.

Cheers


Comment 103 Rehan Khan 2007-03-20 08:43:26 EDT
I am sure there is a better way of testing for the latest version of the 
installed kernel than using the i586i586 kludge above because obviously this 
won't work for people who have three or more versions of the kernel (I guess 
this is not normal anyway). I couldn't find any way to use RPM's -q option to 
output just the latest installed version. If there were a way to get RPM to 
spit out only the latest version then this would be a better way to do things 
in the script.
Comment 104 Milan Kerslager 2007-03-21 04:47:06 EDT
I'm kickstarting a lot of FC6 on ~50 machines during school classes. The
anaconda is picking i586 kernel at a random choice. I see no reasons why
repeated installs gives various results.
Comment 105 Milan Kerslager 2007-03-21 05:59:57 EDT
...I'm inserting Attansic 1Gbps driver in %post so I know that this is random
even on the same machine even just reinstalling without HW change.
Comment 106 Peter Fales 2007-03-21 08:47:03 EDT
Are all your machines actually i686 class?   If so, I've had pretty good luck
using the suggestion to put "i686" on the boot line.  (i.e. in the isolinux.cfg
file on the CD)  Once I made that change, it started consistently installing the
i686 kernel for me.
Comment 107 Milan Kerslager 2007-03-21 10:27:30 EDT
Yes, they are all AM2 CPU. But I don't care about the kernel as the machines are
in the classroom and they are reinstalled all the time we are starting new
lesson and I compiled both i586 and i686 drivers and the %post script pick up
the right version.

To print out what arch version you are using run the command:

rpm -qa --qf "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" kernel\*
Comment 108 Rehan Khan 2007-03-21 12:32:04 EDT
I see, to use just i686 it needs to be in the isolinux.cfg file and starting 
the install from the commandline you need to use linux kernel=i686? I have 
tried to use linux i686 from the commandline and it did not work.

I am sure this is reproducible as I run various test machines in a windows 
vmware environment.

Milan, it might be ok for now but if your environment changes and you need to 
use kernel drivers from the repositories you might get unhooked as these will 
install in an expected i686 kernel tree which will not be present. Worth just 
bearing in mind. Also, the scipt uses an RPM command very similar to the above 
to determine the kernel version. The issue is that yum keeps the previous 
version of the kernel so you get a double entry returned which the script on 
the common issues wiki page does not handle in its if statement.

The script is a pretty easy way resolve this issue as you don't have to have 
any technical knowledge (apart from the generic instructions for downloaded 
scripts).

1) download script
2) chmod +x <script name> 
3) ./<script name>

However this issue plus some others encouraged me to look at smart/smart-gui 
as a replacement for yum/yumex and to be honest I don't think I will go back 
to yum/yumex. After install I used smart GUI to look for and fix already 
installed packages (it found a conflicting oppenssl library). Then it updated 
my system. The biggest difference was in it's speed. It doesn't always try and 
update the local cache, You tell it to do it once and it uses this until you 
tell it to do it again (or after some timeout value). I know yum does this (it 
has a timeout) but yumex is an absolute dog to run especially with the extras 
repo. yum also will sit there for many seconds doing nothing if it hits a 
dodgy mirror (seems to be quite common these days). smart makes multiple 
connections so a bad connection does not hold everything up. I think smart is 
probably the best package manager for 64 bit Fedora (multilib environment) but 
I still have to prove this:) Anyway I digress...

Rehan
Comment 109 Robert Spanton 2007-03-30 06:00:20 EDT
Should this problem be fixed through a yum update in some way?  i.e. machines
that have the incorrect kernel architecture get it replaced with the correct one.
Comment 110 CozaDaMan 2007-04-03 03:48:03 EDT
okay well i dont know how it happened but i was playing around with the kernels
(upgrading i586 to i686) and destoyed the OS. I the put the os files back on
(repair) and then the OS was completely ruined hahaha. So i loaded the fresh
copy and still had the problems. So i tried:
"rpm -Uvh --replacefiles --replacepkgs kernel-2.6.18-1.2798.fc6.i686.rpm" &
"rpm -Fvh kernel-2.6.18-1.2798.fc6.i686.rpm". They didnt work. 

I read #29 stating "The rpm man page says that --force is equivalent to all
of --replacepkgs, --replacefiles, and --oldpackage, and since this isn't an
older package, it should be equivalent to --force". The RPM man is wrong.
I then used:
"rpm -Uvh --force kernel-2.6.18-1.2798.fc6.i686.rpm" and it worked;

[root@localhost coza]# rpm -Uvh --force kernel-2.6.18-1.2798.fc6.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
[root@localhost coza]# rpm -q --qf='%{name}-%{version}-%{release}.%{arch}\n' kernel
kernel-2.6.18-1.2798.fc6.i686

this is to anyone who have tried serveral methods to no avail.
Comment 111 Jeremy Katz 2007-04-25 15:28:21 EDT
*** Bug 234026 has been marked as a duplicate of this bug. ***
Comment 112 Jeremy Katz 2007-04-25 17:28:10 EDT
*** Bug 218965 has been marked as a duplicate of this bug. ***
Comment 113 Phil Schaffner 2007-04-26 06:17:33 EDT
> [root@localhost coza]# rpm -Uvh --force kernel-2.6.18-1.2798.fc6.i686.rpm

Better to use "rpm -ivh ..." to install a new kernel rather than upgrading the
existing one.  A failure could leave you with a non-bootable system with no
fallback kernel.
Comment 114 Kevin Kofler 2007-04-26 11:29:29 EDT
But you can't install both the i586 and the i686 version of the same kernel 
without causing conflicts which can be worse than the -Uvh. What you can do now 
that there's newer kernels in the updates is to -ivh a _different_ kernel in 
its i686 version, which sidesteps the entire --force issue.
Comment 115 Robert Spanton 2007-04-26 12:36:40 EDT
None of this seems like a reasonable solution.  Surely the best solution is to
sort this all out through yum updates.  What worries me is that I can't find any
sort of discussion of such a fix above.

If it's not possible to do this with yum and rpm, then they obviously need
modifying.
Comment 116 Paul Nasrat 2007-05-21 11:44:12 EDT
The updates.img contains the correct fix for this installing with that
updates.img should be sufficient.
Comment 117 jbreen5 2007-05-23 19:20:20 EDT
I was attempting to install the Nvidia Linux drivers using the instructions at
 http://www.nvnews.net/vbulletin/showthread.php?s=fbc9a10b5ef6b9b08cb447c9c13e7a32&t=72490.
Following “ERROR:  Unable to load the kernel module [...]”, I did 
yum -d0 list kernel  <Enter>
Installed Packages
kernel.i586	2.6.19-1.2911.fc6	installed
kernel.i586	2.6.19-1.2948.fc6	installed
Available Packages
kernel.i686	2.6.20-1.2948.fc6	updates
I tried rpm from comment 110 but error in finding directory was reported.
Jason Ferrell's method worked.
yum -d0 list kernel kernel-devel  <Enter>
Installed Packages
kernel.i686		2.6.19-1.2948.fc6	installed
kernel-devel.i685	2.6.19-1.2948.fc6	installed
Available Packages
kernel.i586		2.6.19-1.2948.fc6	updated
kernel-devel.i586	2.6.19-1.2948.fc6	updated
On reboot, the boot loader pointed to the old 2.6.19-1.2911 and 
reported error 15, “File not found”.  Using the editor offerred by Fedora
at error, I replaced the old with the new 2.6.20-1.2948.fc6, and booted,
<b>.  I replaced old with new in /boot/grub/grub.conf.

(In reply to comment #24)
> I also ran into this problem on an AMD64 X2 3800+. It was causing strangeness
> when attempting to install livna's nvidia drivers (arch i586 vs i686).
> 
> My fix was to swap out the i586 kernel for the i686 with yum, rather than rpm
> directly, and it worked just fine:
> 1) yum remove kernel kernel-devel
> 2) yum install kernel.i686 kernel-devel.i686
> 3) yum install (the list of a dozen odd i386 kernel depencies removed in step
> #1, such as "gnome-volume-manager" and "compiz")
> 

Comment 118 Rehan Khan 2007-05-24 09:44:04 EDT
A simpler and more intuitive method to fix this is to to use Smart Package 
Manager instead of yum to fix things.

Do this:

  yum install smart fedora-package-config-smart

add smart-gui if you want a kde/gnome frontend.

then do:

  smart update

(if it asks questions say YES)

then do (to see what is installed:

  smart query installed kernel

if you think the wrong kernel is installed you can then do:

  smart query kernel

to get a list of possible kernels

and (for example)

  smart install kernel-2.6.20-1.2948.fc6@i686

Smart Package Manager will fix all the things neccessary to get this kernel 
installed. Much better than yum/yum utils on the whole. It should also be very 
easy to modify script provided on the common issues wiki page to use Smart.

Actually Smart is faster/more efficient/better day to day for package 
management allowing you to relegate yum to special circumstances where you 
might need super fine grain control over packages. The only issue with it is 
that it sucks to get the list of mirrors populated for your repositories so you 
end up hammering the main server.

I have a scripted system which uses some generic flat files to build repository 
configuration files for both yum and smart (and ensure that there is a full 
list of mirrors for smart) and this will be found here:

http://sourceforge.net/projects/pkgrautoupdater/

Just need to find some time to get the docs written and the files posted.